


fort(1)								      fort(1)
Compaq								       Compaq



Name
  fort - invokes the Compaq Fortran compiler

Syntax
  fort [ options ] filename [ options ]

Performance Enhancing Options
  The following command line options can be used to increase the run-time
  performance of code generated by the Compaq Fortran compiler:
  -arch, -fast, -O, -tune.

Description
  The fort command invokes the Compaq Fortran compiler on Linux Alpha sys-
  tems.	 For more information on Compaq Fortran, see
  http://www.compaq.com/fortran/ .

  The fort command produces DWARF2 object files and Fortran 90 module infor-
  mation files. These commands may invoke the C compiler ( gcc(1) ) or the C
  preprocessor ( cpp(1) ).

  The fort command interprets arguments (filenames) as follows:

  +    Arguments with the suffix .f90 are assumed to be free-form (Fortran 90
       style) source files.  Arguments with the suffix	.f, .for, or .FOR are
       assumed to be fixed-form (FORTRAN 77 style) source forms.

       When the -c option is specified without the -o option, an object file
       is created in the current directory; the file has the basename of the
       source file with an .o suffix.  (For example, in source file
       myfile.f90, myfile is the basename; so the object program is named
       myfile.o.) If the source program is compiled and loaded, the .o file
       is deleted.

  +    Arguments with the suffix .F are assumed to be Fortran fixed-form
       source programs, which must be processed by the C preprocessor (
       cpp(1) ) before being compiled.	cpp(1) produces a file with the suf-
       fix .i.

       Note that if you have myfile.F and myfile.i as distinct files, cpp(1)
       overwrites myfile.i to produce an output file with the same name.

  +    Arguments with the suffix .F90 are assumed to be Fortran free-form
       source programs, which must be processed by the C preprocessor (
       cpp(1) ) before being compiled.	cpp(1) produces a file with the suf-
       fix .i90.

       Note that if you have myfile.F90 and myfile.i90 as distinct files,
       cpp(1) overwrites myfile.i90 to produce an output file with the same
       name.

  +    Arguments with the suffix .i are assumed to be fixed-form source pro-
       grams that have been processed by the C preprocessor ( cpp(1) ). They
       are compiled without further processing.

  +    Arguments with the suffix .i90 are assumed to be free-form source pro-
       grams that have been processed the C preprocessor ( cpp(1) ).  They
       are compiled without further processing.

  If the source file contains MODULE declarations, a file is created with the
  basename of the module and the .mod suffix.

  The following are environmental variables that can be set:

  +    DECF90: The location of the f90 compiler to invoke.

  +    DECF90_CC: The location of the cc command for the f90 compiler.

  +    DECF90_INIT:  Initial options for the fort command.  If this variable
       is defined, its value has to have the form:

	  [[pre] [:: [post]]

       where the items in "[ ]" are optional and can be empty, and where
       "pre" and "post" are strings to be added to the command line.  "pre"
       is added to the front of the command line, before any characters the
       user typed;  "post" is added to the end of the command line.

  +    DECF90_LIB_DIR:	The path for the f90 compiler to use to find the For-
       tran run-time libraries and for_main.o file.

  +    DECF90_DIR:  The path for the f90 command to use to find the f90 com-
       piler and for_main.o file.  DECF90_DIR supercedes DECF90 and is super-
       ceded by DECF90_LIB_DIR.

  +    TMPDIR: The directory for temporary files.

  The fort command executes cpp(1) with -traditional and passes it the fol-
  lowing command line options: -Dname, -Dname=def, -I, -Idir, -M, -Uname, and
  options from -Wp,....

  The fort command defines the following cpp(1) macros to cpp(1): linux,
  __linux__, and __alpha.

  The following examples demonstrate optimizing across multiple input files:

    1.	fort ax.f90

	This command compiles ax.f90 producing executable file a.out.
	Optimizations occur by default.

    2.	fort -o abc ax.f90 bx.f90 cx.f90

	This command uses option -o to name the executable file abc
	and compiles ax.f90, bx.f90, and cx.f90 as one program.
	Interprocedural optimization occurs across ax, bx, and cx.

    3.	fort -c ax.f90 bx.f90 cx.f90

	This command uses option -c to suppress linking and produce
	individual object files ax.o, bx.o, and cx.o. Inter-
	procedural optimizations are prevented.

    4.	fort -c -o abc.o ax.f90 bx.f90 cx.f90

	This command uses option -c to suppress linking, and option
	-o to produce a single object file abc.o.  Interprocedural
	optimization occurs.

    5.	fort -o foo ax.f bx.f cx.f

	This command causes the files ax.f, bx.f, and cx.f to be
	compiled as one program, with the resulting executable
	file foo.  Interprocedural optimization occurs.

    6.	fort -c -O4 ax.f bx.f cx.f

	This command causes the files ax.o, bx.o and cx.o to
	be created.  Interprocedural optimization is hindered
	because these input files are separately compiled.

    7.	fort -c -o foo.o -O4 ax.f bx.f cx.f

	This command causes the files ax.f, bx.f and cx.f to be
	compiled as one program, with the resulting object file
	foo.o.	This produces better optimization.


  fort sends its output to stderr. Upon completion, the fort driver returns
  one of the following status values:

     0	-  SUCCESS
     1	-  FAILURE
     2	-  SUBPROCESS_FAILURE (preprocessor, compiler, or ld)
     3	-  SIGNAL


  You can override some options specified on the command line by using the
  OPTIONS statement in your Fortran source program.  An OPTIONS statement
  affects only the program unit where the statement occurs.  For more infor-
  mation, see your language reference manual.

  For more information on this version of the Compaq Fortran compiler, see
  the release notes in /usr/doc/cfal-n.n/README for version n.n.

Options
  Some options have the form -name keyword.  The -name must be spelled out
  completely, but the keyword can be abbreviated to its shortest unique pre-
  fix (4 characters are recommended).  For example, -check output_conversion
  can be specified as -check outp.

  The fort command takes the following options (see ld(1) for linker and
  load-time options):

  -1	      Executes at least one iteration of DO loops.  (FORTRAN 77 DO
	      loops are not executed if the upper limit is smaller than the
	      lower limit.) This option has the same effect as -nof77.

  -66	      Allows extensions that enhance FORTRAN-66 compatibility.	This
	      option has the same effect as -nof77.

  -align commons
	      Aligns all COMMON block entities on natural boundaries up to
	      4-bytes instead of the default byte boundary. The default is
	      -align nocommons.

  -align dcommons
	      Aligns all COMMON block entities on natural boundaries up to
	      8-bytes instead of the default byte boundary. The default is
	      -align nocommons.	 For optimal performance on Alpha systems,
	      specify -align records (the default) and -align dcommons.

  -align norecords
	      Aligns fields within records and components of derived types on
	      the next available byte instead of the default natural
	      boundaries.  The default is -align records.

  -align recNbyte
	      Aligns fields of records and components of derived types on the
	      smaller of the size boundary specified (N can be 1, 2, 4, or 8)
	      or the boundary that will naturally align them.  Specifying
	      -align recNbyte does not affect whether common blocks are
	      naturally aligned or packed.

  -align sequence
	      Specifies that components of a SEQUENCEd derived type are to be
	      aligned according to the alignment rules set by the user. The
	      default alignment rules are to align unsequenced components on
	      natural boundaries.  The default is -align nosequence, which
	      causes components of a SEQUENCEd derived type to be packed,
	      regardless of the current alignment rules set by the user.

  -annotations
	      Requests that annotations be added to the source listing indi-
	      cating which of a set of optimizations were applied to particu-
	      lar parts of the source.	Annotation keywords may exist for
	      optimizations not supported on this platform.

	      Annotations can be helpful in understanding why the compiler
	      was unable to optimize a particular code sequence or to see
	      what optimizations were performed.

	      The following are -annotations options:

	      +	  -annotations all

	      +	  -annotations none

	      +	  -annotations code

	      +	  -annotations detail

	      +	  -annotations feedback

	      +	  -annotations inlining

	      +	  -annotations loop_transforms

	      +	  -annotations loop_unrolling

	      +	  -annotations prefetching

	      +	  -annotations shrinkwrapping

	      +	  -annotations software_pipelining

	      +	  -annotations tail_calls

	      +	  -annotations tail_recursion

	      The default is -annotations none.

  -arch	      Determines which version of the Alpha architecture the compiler
	      generates instructions for.  The format is:

	      -arch generic | host | ev4 | ev5 | ev56 | ev6 | ev67 | pca56


	      All Alpha processors implement a core set of instructions, with
	      possible extensions.  Some of the instruction set extensions
	      are:

		BWX - Byte/Word manipulation instructions
		MAX - Multimedia instructions


	      The Alpha Architecture reference manual describes these
	      extensions in detail.

	      The -arch option selected determines whether or not the com-
	      piler can generate instructions that are part of these exten-
	      sions.

	      The operating system kernel includes an instruction emulator
	      that allows new instructions, not implemented on the host pro-
	      cessor chip, to execute and produce correct results.

	      Applications using emulated instructions will run correctly,
	      but may incur significant emulation overhead at runtime.

	      The following are -arch options:

	      +	  -arch generic

		  Generates instructions that are appropriate for most Alpha
		  processors.  This is the default.

	      +	  -arch host

		  Generates instructions for the machine the compiler is run-
		  ning on (for example, ev56 instructions on an ev56 proces-
		  sor and ev4 instructions on an ev4 processor).

	      +	  -arch ev4

		  Generates instructions for ev4 processors (for 21064,
		  20164A, 21066, and 21068 chips).

		  Applications compiled with this option will not incur any
		  emulation overhead on any Alpha processor.

	      +	  -arch ev5

		  Generates instructions for ev5 processors (some 21164
		  chips).

		  Applications compiled with this option will not incur any
		  emulation overhead on any Alpha processor.

	      +	  -arch ev56

		  Generates instructions for ev56 processors (some 21164
		  chips).

		  This option permits the compiler to generate any ev4
		  instruction plus any instruction contained in the BWX
		  extension.

		  Applications compiled with this option may incur emulation
		  overhead on ev4 and ev5 processors, but will still run
		  correctly.

	      +	  -arch ev6

		  Generates instructions for ev6 processors (21264 chips).

		  This option permits the compiler to generate any ev6
		  instruction, including instructions contained in the BWX or
		  MAX extension, and square root and floating-point convert
		  extension (FIX).

		  Applications compiled with this option may incur emulation
		  overhead on ev4, ev5, ev56, and pca56 processors, but will
		  still run correctly.

	      +	  -arch ev67

		  Generates instructions for ev67 processors (21264A chips).

		  This option permits the compiler to generate any ev67
		  instruction, including instructions contained in the BWX or
		  MAX extension, the square root and floating-point convert
		  extension (FIX), and count extension (CIX).

		  Applications compiled with this option may incur emulation
		  overhead on ev4, ev5, ev56, ev6, and pca56 processors, but
		  will still run correctly.

	      +	  -arch pca56

		  Generates instructions for pca56 processors (21164PC
		  chips).

		  This option permits the compiler to generate any EV4
		  instruction plus any instruction contained in the BWX or
		  MAX extension.

		  Applications compiled with this option may incur emulation
		  overhead on ev4, ev5, and ev56 processors, but will still
		  run correctly.

  -assume buffered_io
	      Tells the compiler to set the default for opening sequential
	      output files to BUFFERED='YES', so that writes to disk will be
	      buffered.	 The default is -assume nobuffered_io, which means
	      that data will be immediately written to disk.

  -assume byterecl
	      Specifies (for unformatted data files) that the units for the
	      OPEN statement RECL specifier (record length) value are in
	      bytes, not longwords (four-byte units). For formatted files,
	      the RECL unit is always in bytes. The default is -assume
	      nobyterecl.

	      INQUIRE returns RECL in bytes if the unit is not open.  INQUIRE
	      returns RECL in longwords if the file is open for unformatted
	      data (and -assume byterecl is not specified); otherwise, it
	      returns RECL in bytes.

  -assume dummy_aliases
	      Assumes that dummy (formal) arguments to procedures share
	      memory locations with other dummy arguments or with COMMON
	      variables that are assigned.  These program semantics slow per-
	      formance and do not strictly obey the FORTRAN 77 Standard.  The
	      default is -assume nodummy_aliases.

  -assume gfullpath
	      Causes the full source file path to be included in the debug
	      information.  The default is -assume nogfullpath.

  -assume minus0
	      Tells the compiler to use F95 standard semantics for the treat-
	      ment of IEEE floating value -0.0 in the SIGN intrinsic, if the
	      processor is capable of distinguishing the difference between
	      -0.0 and +0.0.  The default is -assume nominus0, which tells
	      the compiler to use Fortran 90/77 standard semantics in the
	      SIGN intrinsic to treat -0.0 and +0.0 as 0.0.

  -assume no2underscores
	      Does not append two trailing underscore characters to external
	      user-defined names that already contain at least one underscore
	      character: the main program name, named COMMON, BLOCK DATA, and
	      names implicitly or explicitly declared EXTERNAL.	 The name of
	      blank COMMON remains _BLNK__, and Fortran intrinsic names are
	      not affected.

	      The default is -assume 2underscores.  If -assume nounderscore
	      is specified, -assume 2underscores and -assume no2underscores
	      are ignored.

  -assume noaccuracy_sensitive
	      Reorders floating-point operations, based on algebraic identi-
	      ties (inverses, associativity, and distribution), to improve
	      performance. The default is -assume accuracy_sensitive.

  -assume noprotect_constants
	      Specifies that a copy of a constant actual argument is to be
	      passed, so it can be modified by the called routine, even
	      though the Fortran standard prohibits such modification.	The
	      constant is not modified in the calling routine.	The default
	      is -assume protect_constants, which passes the constant actual
	      argument.	 Any attempt to modify it results in an error.

  -assume nosource_include
	      Tells the compiler to search the default directory for INCLUDE
	      files (same as when -vms is used).  The default is -assume
	      source_include, which tells the compiler to search the direc-
	      tory the source file is in for any INCLUDEs.

  -assume nounderscore
	      Does not append a trailing underscore character to external
	      user-defined names: the main program name, named COMMON, BLOCK
	      DATA, and names implicitly or explicitly declared EXTERNAL.
	      The name of blank COMMON remains _BLNK__, and Fortran intrinsic
	      names are not affected. The default is -assume underscore.

  -automatic  Places local variables on the run-time stack. This option sets
	      the -recursive option.  The default is -noautomatic.

  -C	      Generates code to perform run-time checks on array subscript
	      and character substring expressions (same as the -check bounds
	      option). An error is reported if the expression is outside the
	      dimension of the array or the length of the string.  The
	      default is -check nobounds.

  -c	      Suppresses the loading phase of the compilation and forces an
	      object file to be produced even if only one program is com-
	      piled.  If you specify multiple files and want full interpro-
	      cedural optimizations, you must also specify the -o option.
	      (This creates a single .o file.)

  -call_shared
	      Tells ld(1) to produce a dynamic executable that uses shareable
	      objects during run-time.	The linker searches for unresolved
	      references in shared library (.so) files before searching in
	      archive library (.a) files. The run-time loader is invoked to
	      bring in all required shareable objects and resolve any symbols
	      that remained undefined during static link-time. This is the
	      default.

  -ccdefault  Specifies the type of carriage control used when a file is
	      displayed at a terminal.	The format is:

	      -ccdefault fortran | list | none | default


	      The following are -ccdefault options:

	      +	  -ccdefault fortran

		  Specifies normal Fortran interpretation of the first char-
		  acter.

	      +	  -ccdefault list

		  Specifies one line feed between records.

	      +	  -ccdefault none

		  Specifies no carriage control processing.

	      +	  -ccdefault default

		  Specifies that the compiler is to use the default
		  carriage-control setting.  This is the default.

		  The default setting can be affected by the -vms option: if
		  "-vms -ccdefault default" is specified, carriage control
		  defaults to FORTRAN if the file is formatted, and the unit
		  is connected to a terminal; if "-novms -ccdefault default"
		  is specified, carriage control defaults to LIST.

  -check arg_temp_created
	      Generates code to check if actual arguments are copied into
	      temporary storage before routine calls.  If a copy is made at
	      run-time, an informative message is displayed.  The default is
	      -check noarg_temp_created.

  -check bounds
	      Generates code to perform run-time checks on array subscript
	      and character substring expressions. An error is reported if
	      the expression is outside the dimension of the array or the
	      length of the string.  The default is -check nobounds.

  -check format
	      Issues the run-time FORVARMIS fatal error when the data type of
	      an item being formatted for output does not match the format
	      descriptor being used (for example, a REAL*4 item formatted
	      with an I edit descriptor).  If -vms is specified, the default
	      is -check format; otherwise, the default is -check noformat.

	      With -check noformat, the data item is formatted using the
	      specified descriptor unless the length of the item cannot
	      accommodate the descriptor (for example, it is still an error
	      to pass an INTEGER*2 item to an E edit descriptor).

  -check nopower
	      Suppresses the run-time errors for 0.0**0.0 and
	      <negative-value>**<integer-value-of-type-real>, so 0.0**0.0 is
	      1.0 and (-3.0)**3.0 is -27.0.  The default is -check power,
	      which causes fatal run-time errors for these cases.

  -check output_conversion
	      Issues the run-time OUTCONERR continuable error message when a
	      data item is too large to fit in a designated format descriptor
	      field.  The field is filled with asterisks (*) and execution
	      continues.  If -vms is specified, the default is -check
	      output_conversion; otherwise, the default is -check
	      nooutput_conversion.

  -check overflow
	      Generates code to trap on integer overflow.  The default is
	      -check nooverflow.

  -check_bounds
	      Generates code to perform run-time checks on subscript and sub-
	      string expressions (same as the -check bounds option).   An
	      error is reported if the expression is outside the dimension of
	      the array or the length of the string.  The default suppresses
	      range checking.

  -col72      Treats the statement field of each source line as ending in
	      column 72 (same as the -noextend_source option).

  -convert    Determines which format is used to read and write unformatted
	      files.  The -convert options are described below.	 For more
	      information on these options, see your user manual.

	      The default is -convert native.

	      The following are -convert options:

	      +	  -convert big_endian

		  Specifies that unformatted data will be in big endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; and IEEE floating point format of
		  the appropriate size: REAL*4, REAL*8, COMPLEX*8, or COM-
		  PLEX*16.  Note that INTEGER*1 data is the same for little
		  endian and big endian.

	      +	  -convert cray

		  Specifies that unformatted data will be in big endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; and CRAY (TM) floating-point for-
		  mat of size REAL*8 or COMPLEX*16.

	      +	  -convert fdx

		  Specifies that unformatted data will be in little endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; Compaq VAX floating-point format
		  F_floating for size REAL*4 or COMPLEX*8, D_floating for
		  size REAL*8 or COMPLEX*16, and X_floating for REAL*16.

	      +	  -convert fgx

		  Specifies that unformatted data will be in little endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; Compaq VAX floating-point format
		  F_floating for size REAL*4 or COMPLEX*8, floating-point
		  format G_floating of size REAL*8 or COMPLEX*16, and
		  X_floating for REAL*16.

	      +	  -convert ibm

		  Specifies that unformatted data will be in big endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; and IBM (TM) System\370 floating-
		  point format of size REAL*4 or COMPLEX*8 (IBM short 4) and
		  size REAL*8 or COMPLEX*16 (IBM long 8).

	      +	  -convert little_endian

		  Specifies that unformatted data will be in native RISC lit-
		  tle endian integer format of the appropriate size:
		  INTEGER*1, INTEGER*2, or INTEGER*4; and IEEE floating-point
		  format of the appropriate size: REAL*4, REAL*8, REAL*16,
		  COMPLEX*8, or COMPLEX*16.  Note that INTEGER*1 data is the
		  same for little endian and big endian.

	      +	  -convert native

		  Specifies that unformatted data should not be converted.
		  This is the default.

	      +	  -convert vaxd

		  Specifies that unformatted data will be in little endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; and Compaq VAX floating-point for-
		  mat F_floating for size REAL*4 or COMPLEX*8, D_floating for
		  size REAL*8 or COMPLEX*16, and H_floating for REAL*16.

	      +	  -convert vaxg

		  Specifies that unformatted data will be in little endian
		  integer format of the appropriate size: INTEGER*1,
		  INTEGER*2, or INTEGER*4; and Compaq VAX floating-point for-
		  mat F_floating for size REAL*4 or COMPLEX*8, floating-point
		  format G_floating of size REAL*8 or COMPLEX*16, and
		  H_floating for REAL*16.

  -cpp	      Runs cpp(1) on all Fortran source files before compiling.

  -Dname=def
  -Dname      Defines the name as def for use by either cpp(1) or Fortran
	      conditional compilation.	def can be an integer or it can be a
	      character string delimited by double quotes; for example,
	      -Dname="string".	For cpp(1), the definition is interpreted as
	      if by #define.  If no definition is given, the name is defined
	      as "1".

  -double_size 64
	      Defines DOUBLE PRECISION declarations, constants, functions,
	      and intrinsics as REAL*8.	 It also defines DOUBLE COMPLEX
	      declarations, constants, functions, and intrinsics as COM-
	      PLEX*16. This is the default.

  -double_size 128
	      Defines DOUBLE PRECISION declarations, constants, functions,
	      and intrinsics as REAL*16. It also defines DOUBLE COMPLEX
	      declarations, constants, functions, and intrinsics as COM-
	      PLEX*32. The default is -double_size 64.

  -d_lines    Compiles lines having a D in column 1 of the source program.
	      The default is to treat such lines as comments.

  -error_limit num
	      Specifies the maximum number of error-level or fatal-level com-
	      piler errors allowed for a file specified on the f77 command
	      line.  If you specify -noerror_limit, there is no limit on the
	      number of errors that are allowed.  The default is -error_limit
	      30 (a maximum of 30 error-level and fatal-level messages).

	      If -c is specified on the command line and the maximum number
	      of errors is reached, a warning message is issued and the next
	      file (if any) on the command line is compiled.  If -c is not
	      specified, a warning message is issued and compilation ter-
	      minates.

  -extend_source
	      Treats the statement field of each source line as ending in
	      column 132, instead of column 72.	 The default is
	      -noextend_source.	 Specifying -extend_source sets the -fixed
	      option.

  -f66	      Applies FORTRAN-66 semantics, such as the execution of at least
	      one iteration of DO loops. This the same as specifying the
	      -nof77 option.  The default is -nof66.

  -f77rtl     Tells the compiler to use the run-time behavior of Compaq For-
	      tran 77 instead of Compaq Fortran.  For example, this affects
	      the output form for NAMELIST.  The default is -nof77rtl.

  -fast	      Sets the following command options that can improve run-time
	      performance: -align dcommons, -align sequence, -arch host,
	      -assume noaccuracy_sensitive, -math_library fast, -O4 (the
	      default), and -tune host.	 The default is -nofast.

	      If any of the -std options are specified, -align dcommons and
	      -align sequence are not set.

  -feedback file
	      Specifies the file to be used by cord(1) or the compiler for
	      further optimizations.  This file is produced by prof(1) with
	      its -feedback option from an execution of the program produced
	      by pixie(1).

  -fixed      Interprets Fortran source files as fixed (FORTRAN 77 style)
	      source format. By default, source files with the suffix .f90,
	      .F90, or .i90 are assumed to be free format and files with the
	      suffix .f, .for, .FOR, .F, or .i are assumed to be fixed for-
	      mat.

  -fpconstant Extends the precision of single-precision constants assigned to
	      double-precision variables, to double precision.

  -fpe0 or -fpe
	      Terminates a program during run time if a floating-point opera-
	      tion results in overflow, division by zero, or if the operands
	      are denormalized numbers or other exceptional values. Before
	      termination, the compiler issues a message, and creates a core
	      dump file. Calculated denormalized numbers are set to zero.
	      This is the default.

	      In the case of floating-point underflow, the program does not
	      terminate, but continues with the underflow value set to zero.

  -fpe3	      Continues program execution if a floating-point operation
	      results in overflow, division by zero, invalid data, or under-
	      flow. Calculated denormalized numbers are left as is.

	      For underflow, the underflow value is not set to zero, and gra-
	      dual underflow occurs.

  -fprm chopped
	      Causes the compiler to round results of floating-point opera-
	      tions toward zero.

  -fprm minus_infinity
	      Causes the compiler to round results of floating-point
	      operations towards the next smallest representable value.

  -fprm nearest
	      Causes the compiler to round results of floating-point opera-
	      tions towards the nearest representable value.  This is the
	      default.

	      If the unrounded value is halfway between two representable
	      values, the even value is chosen.

  -fp_reorder Reorders floating-point operations, based on algebraic identi-
	      ties (inverses, associativity, and distribution), to improve
	      performance. The default is -no_fp_reorder.  This option is the
	      same as the -assume noaccuracy_sensitive option.

  -free	      Interprets Fortran source files as free source format. By
	      default, source files with the suffix .f90, .F90, or .i90 are
	      assumed to be free format and files with the suffix .f, .for,
	      .FOR, .F, or .i are assumed to be fixed format.

  -g0	      Prevents symbolic debugging information from appearing in the
	      object file.

  -g1	      Produces traceback information (showing pc to line correlation)
	      in the object file, substantially increasing its size. This is
	      the default.

  -g2 or -g   Produces traceback and symbolic debugging information in the
	      object file.  Unless an explicit optimization level has been
	      specified, these options set the -O0 option, which turns off
	      all compiler optimizations and makes debugging more accurate.

  -g3	      Produces traceback and symbolic debugging information in the
	      object file, but does not set an optimization level. This
	      option can produce additional debugging information describing
	      the effects of optimizations, but debugger inaccuracies can
	      occur as a result of the optimizations that have been per-
	      formed.

  -granularity byte
	      Ensures that data of byte size can be accessed from different
	      threads sharing data in memory.  The data must be aligned on
	      the natural boundary and declared VOLATILE.

  -granularity longword
	      Ensures that naturally aligned data of longword size (4 bytes)
	      can be accessed from different threads sharing data in memory.
	      The data must be aligned on the natural boundary and declared
	      VOLATILE.

	      When this option is in effect, attempts to access smaller size
	      data or misaligned data can result in data items that are
	      inconsistently updated for multiple threads.

  -granularity quadword
	      Ensures that naturally aligned data of quadword size (8 bytes)
	      can be accessed from different threads sharing data in memory.
	      The data must be aligned on the natural boundary and declared
	      VOLATILE.	 This is the default.

	      When this option is in effect, attempts to access smaller size
	      data or misaligned data can result in data items that are
	      inconsistently updated for multiple threads.

  -I	      Prevents cpp(1) from searching for #include files in the stan-
	      dard directory /usr/include. It also prevents the compiler from
	      searching there for files specified in an INCLUDE statement.
	      This option is not related to the Fortran 90 and 95 USE state-
	      ment.

  -Idir	      Directs the search for cpp(1) #include files, files specified
	      in an INCLUDE statement, and files (.mod) for Fortran 90 and 95
	      module information.  The file names must not begin with slash
	      (/).

	      Directories are searched in the following order: (1) the direc-
	      tory preceding the input file name on the command line; (2) the
	      directory specified by the -Idir option; (3) the standard
	      directory /usr/include.  (See also the -noinclude option.)

  -i2	      Makes default integer and logical variables 2-bytes long (same
	      as the -integer_size 16 option).	The default is -integer_size
	      32.  For optimal performance on Alpha systems, use 4- or 8-byte
	      integer or logical values instead of 2-byte values.

  -i4	      Makes default integer and logical variables 4-bytes long (same
	      as the -integer_size 32 option).	This is the default.

  -i8	      Makes default integer and logical variables 8-bytes long (same
	      as the -integer_size 64 option).	The default is -integer_size
	      32.

  -inline all Inlines every procedure call that can be inlined while still
	      generating correct code.	However, recursive routines will not
	      cause an infinite loop at compile time.

	      This option is meaningful only at optimization levels -O1 and
	      higher.

  -inline manual
	      This is the same as the -inline none option.

  -inline none
	      Suppresses all inlining of routines (same as the -noinline
	      option).	This is the default for optimization levels -O0, -O1,
	      -O2, and -O3.

  -inline size
	      Inlines calls where inlining will not significantly increase
	      program size, plus any additional calls that the compiler
	      determines will improve run-time performance.  This option was
	      previously called -inline automatic (and -inline space ).

	      This option is meaningful only at optimization levels -O1 and
	      higher.

  -inline speed
	      Inlines calls that will likely improve run-time performance,
	      even where it may significantly increase the size of the pro-
	      gram.  This is the default for optimization levels -O4 and -O5.
	      This option is meaningful only at optimization levels -O1 and
	      higher.

  -intconstant
	      Uses FORTRAN 77 rather than Fortran 90 semantics to determine
	      kind for integer constants.

  -integer_size 16
	      Makes default integer and logical variables 2-bytes long.	 The
	      default is -integer_size 32.  For optimal performance on Alpha
	      systems, use 4- or 8-byte integer or logical values instead of
	      2-byte values.

  -integer_size 32
	      Makes default integer and logical variables 4-bytes long.	 This
	      is the default.

  -integer_size 64
	      Makes default integer and logical variables 8-bytes long.	 The
	      default is -integer_size 32.

  -K	      Keeps temporary files produced by cpp(1) or the compiler.	 This
	      option does not affect the naming of temporary files.  To see
	      the names and locations of the temporary files, specify -v.

  -L	      Prevents the linker from searching for libraries in the stan-
	      dard directories.

  -Ldir	      Directs the linker to search for libraries in dir before
	      searching the standard directories.

  -lstring    Searches libstring libraries for ld (see ld(1)).	This option
	      should be placed at the end of the command line.

  -M	      Tells cpp(1) to generate dependency lists suitable for make(1),
	      instead of the normal output.

  -machine_code
	      Includes in the listing (if one is generated) a machine
	      language representation of the compiled code.  This machine
	      language cannot be assembled.  This option is the same as -show
	      code.  The default is -nomachine_code.

  -math_library accurate
	      Specifies that the compiler is to select the version of the
	      math library routine which provides the most accurate result
	      for mathematical intrinsic functions.  This is the default.

	      For certain ranges of input values, the selected routine may
	      execute more slowly than if you used -math_library fast.

  -math_library fast
	      Specifies that the compiler is to select the version of the
	      math library routine which provides the highest execution per-
	      formance for certain mathematical intrinsic functions, such as
	      EXP and SQRT.

	      For certain ranges of input values, the selected routine may
	      not provide a result that is as accurate as -math_library accu-
	      rate (the default setting) provides.

  -mixed_str_len_arg
	      Tells the compiler that the hidden length passed for a charac-
	      ter argument is to be placed immediately after its correspond-
	      ing character argument in the argument list.  The default is
	      -nomixed_str_len_arg, which places the hidden lengths in
	      sequential order at the end of the argument list.

  -module directory
	      Outputs .mod files to directory.

  -names as_is
	      Causes the compiler to distinguish case differences in identif-
	      iers and to preserve the case of external names.	The default
	      is -names lowercase.

  -names lowercase
	      Causes the compiler to ignore case differences in identifiers
	      and to convert external names to lowercase.  This is the
	      default.

  -names uppercase
	      Causes the compiler to ignore case differences in identifiers
	      and to convert external names to uppercase.  The default is
	      -names lowercase.

  -noaltparam Disallows the alternate non-standard syntax for PARAMETER
	      statements.  This form has no parentheses surrounding the list,
	      and the form of the constant, rather than implicit or explicit
	      typing, determines the data type of the variable.	 The default
	      is -altparam.

  -nocpp      Does not run cpp(1) on any Fortran source files before compil-
	      ing.

  -noD	      Tells the driver not to pass any -Dname or -Uname options to
	      the compiler.  The default is to pass these to the compiler.
	      These options are always passed to cpp(1).

  -noerror_limit
	      Specifies that there is no limit to the number of error-level
	      or fatal-level compiler errors allowed for a file specified on
	      the command line.

  -nof77      Allows extensions that enhance FORTRAN-66 compatibility.	This
	      option is the same as the -f66 option.

  -nofor_main Specifies that the main program is not written in Fortran, and
	      prevents the compiler from linking for_main.o into applica-
	      tions. The default is -for_main.

  -no_fp_reorder
	      This option is the same as the -assume accuracy_sensitive
	      option.

  -noi4	      Makes default integer and logical variables 2-bytes long (same
	      as the -integer_size 16 option).	For optimal performance on
	      Alpha systems, use 4- or 8-byte integer or logical values
	      instead of 2-byte values.

  -noinclude  Prevents the compiler from searching in /usr/include for files
	      specified in a Compaq Fortran INCLUDE statement.	You can
	      specify the -Idir option along with this option.	This option
	      does not affect cpp(1) behavior, and is not related to the For-
	      tran 90 and 95 USE statement.

  -non_shared
	      Prevents ld(1) from producing a dynamic executable.  The linker
	      will search regular archive library (.a) files to resolve unde-
	      fined references; .so files  are not searched.   Object files
	      (.o suffix) from archives are included in the executable pro-
	      duced. The default is -call_shared.

  -nopipeline Disables the use of instruction scheduling for certain inner-
	      most loops. Also disables prefetching of data to reduce the
	      impact of cache misses.

	      This option must be specified if you want this type of optimi-
	      zation disabled and you are also specifying -O5, since -pipe-
	      line is performed by default at the -O5 level of optimization.

  -norun      Directs the driver not to execute the compiler and other phases
	      of the process.  If you use this option with the -v option, you
	      can see what would have been executed.

  -notransform_loops
	      Disables a group of loop transformation optimizations that
	      apply to array references within loops.  This group of optimi-
	      zations includes loop blocking, loop distribution, loop fusion,
	      loop interchange, loop scalar replacement, and outer loop
	      unrolling.

	      This option must be specified if you want this type of optimi-
	      zation disabled and you are also specifying -O5, since
	      -transform_loops is performed by default at the -O5 level of
	      optimization.

  -O0	      Disables all optimizations. Does not check for unassigned vari-
	      ables.

  -O1	      Enables local optimizations and recognition of common subex-
	      pressions.  Optimizations include integer multiplication and
	      division expansion using shifts.	The call graph determines the
	      order of compilation of procedures.

  -O2	      Enables global optimization and all -O1 optimizations.  This
	      includes code motion, strength reduction and test replacement,
	      split lifetime analysis, code scheduling, and inlining of
	      arithmetic statement functions.

  -O3	      Enables global optimizations that improve speed at the cost of
	      increased code size and all -O2 optimizations.  Optimizations
	      include loop unrolling, and code replication to eliminate
	      branches.	 (See also the -unroll option.)

  -O4 or -O   Enables inline expansion of small procedures, software pipelin-
	      ing, and all -O3 optimizations.  This is the default.  However,
	      if you specify the -g option, the default is -O0.	 (See also
	      the -g2 or -g option, and the -inline option.)

	      Software pipelining  applies instruction scheduling to certain
	      innermost loops, allowing	 instructions within a loop to "wrap
	      around" and execute in a different iteration of the loop.	 This
	      can reduce the impact of long-latency operations, resulting in
	      faster loop execution. This type of optimization can also be
	      specified by using the -pipeline option.	(See also the -pipe-
	      line option.)

  -O5	      Enables loop transformation optimizations, all -O4 optimiza-
	      tions, and other optimizations, including byte-vectorization,
	      and insertion of additional NOPs (No Operations) for alignment
	      of multi-issue sequences.

	      Loop transformation optimizations are a group of optimizations
	      that apply to array references within loops. These optimiza-
	      tions can improve the performance of the memory system and can
	      apply to multiple nested loops. This type of optimization can
	      also be specified by using the -transform_loops option.  (See
	      also the -transform_loops option.)

	      To determine whether using -O5 benefits your particular pro-
	      gram, time program execution for the same program compiled with
	      -O4 and -O5.

  -o output   Names the final output file output. The a.out file is unaf-
	      fected.

  -onetrip    Executes at least one iteration of DO loops.  (FORTRAN 77 DO
	      loops are not executed if the upper limit is smaller than the
	      lower limit.) This option has the same effect as -nof77.

  -P	      Runs only cpp(1) and puts the result for each source file in a
	      corresponding .i or .i90 file, after processing by any
	      appropriate preprocessors.  The .i (or .i90) file does not have
	      line numbers (#) in it.  This option sets the -cpp option.

  -p0	      Does not permit profiling.  This is the default.

  -p1 or -p   Sets up profiling by periodically sampling the value of the
	      program counter for use with the postprocessor prof(l).

  -pad_source Specifies that source records shorter than the statement field
	      width are to be padded with spaces on the right, out to the end
	      of the statement field.  This affects the interpretation of
	      character and Hollerith literals that are continued across
	      source records. The default is -nopad_source.

  -pg	      Generates code compatible with profiling using gprof(1).

  -pipeline   Applies instruction scheduling to certain innermost loops,
	      allowing instructions within a loop to "wrap around" and exe-
	      cute in a different iteration of the loop.  This can reduce the
	      impact of long-latency operations, resulting in faster loop
	      execution. This option also enables prefetching of data to
	      reduce the impact of cache misses.

	      It may increase compilation time and/or program size.  For pro-
	      grams that contain loops that exhaust available registers,
	      longer execution times may occur.	 In this case, specify
	      options -unroll 1 or -unroll 2 with the -pipeline option.

	      This option is meaningful only at optimization levels -O2 and
	      higher; it is performed by default if level -O5 is in effect.

  -r8	      Defines REAL declarations, constants, functions, and intrinsics
	      as DOUBLE PRECISION (REAL*8), and defines COMPLEX declarations,
	      constants, functions, and intrinsics as DOUBLE COMPLEX (COM-
	      PLEX*16).	 This option is the same as the -real_size 64 option.

  -r16	      Defines REAL and DOUBLE PRECISION declarations, constants,
	      functions, and intrinsics as REAL*16. It also defines COMPLEX
	      and DOUBLE COMPLEX declarations, constants, functions, and
	      intrinsics as COMPLEX*32. This option is the same as the
	      -real_size 128 option.

  -real_size 32
	      Defines REAL declarations, constants, functions, and intrinsics
	      as REAL*4, and defines COMPLEX declarations, constants, func-
	      tions, and intrinsics as COMPLEX (COMPLEX*8).  This is the
	      default.

  -real_size 64
	      Defines REAL declarations, constants, functions, and intrinsics
	      as DOUBLE PRECISION (REAL*8), and defines COMPLEX declarations,
	      constants, functions, and intrinsics as DOUBLE COMPLEX (COM-
	      PLEX*16).	 The default is -real_size 32.

  -real_size 128
	      Defines REAL and DOUBLE PRECISION declarations, constants,
	      functions, and intrinsics as REAL*16. It also defines COMPLEX
	      and DOUBLE COMPLEX declarations, constants, functions, and
	      intrinsics as COMPLEX*32. The default is -real_size 32.

  -recursive  Compiles all FUNCTION and SUBROUTINE procedures for possible
	      recursive execution. This option sets the -automatic option.
	      The default is -norecursive.

  -S	      Creates an assembleable listing file of the compiled source.
	      The name of this listing file is the base name of the source
	      file with a .s substituted for the .f90, .F90, .f, .for, .FOR,
	      or .F.  No link step occurs.

	      You cannot generate a -S listing and a -V or -source_listing
	      listing in the same compilation.

  -shared     Produces a dynamic shareable object for inclusion in a shared
	      library. This includes creating all of the tables for run-time
	      linking and resolving references to other specified shared
	      objects. The object created can be used by the linker to pro-
	      duce a shareable object that other dynamic executables can use
	      at run-time.

	      If you also specify the -c option, a .o file is created; other-
	      wise, a .so file is created. The default is -call_shared.

  -show code  Includes in the listing (if one is generated) a machine
	      language representation of the compiled code (same as the
	      -machine_code option).  This machine language cannot be assem-
	      bled.  The default is -show nocode.

  -show include
	      Includes in the listing (if one is generated) any text file
	      specified with INCLUDE in the source program. The default is
	      -show noinclude.

  -show nomap Excludes from the listing (if one is generated) information
	      about the symbols used in the source program.  The default is
	      -show map.

  -source_listing
	      Creates a source listing file with various compile-time infor-
	      mation appended, like -V.	 The name of the listing file is the
	      basename of the source file with a .lis suffix.  the default is
	      -nosource_listing.

  -static     Causes all local variables to be statically allocated (same as
	      the -noautomatic option).	 This is the default.

  -std	      Produces warnings for things that are not standard in the For-
	      tran 95 language.	 The default is -nostd.

  -std90      Produces warnings for things that are not standard in the For-
	      tran 90 language.

  -std95      Produces warnings for things that are not standard in the For-
	      tran 95 language.

  -synchronous_exceptions
	      Causes the compiler to generate TRAPB instructions after every
	      floating-point instruction. -fpe0 must also be enabled.

	      This is a very expensive but effective way to synchronize the
	      instruction stream containing floating-point exceptions so the
	      failing instruction can be accurately located by the debugger
	      or a handler.  The default is -nosynchronous_exceptions.

  -syntax_only
	      Specifies that the source file will be checked only for correct
	      syntax. No code is generated, no object file is produced, and
	      some error checking done by the optimizer is bypassed (for
	      example, checking for uninitialized variables). This option
	      lets you do a quick syntax check of your source file.  The
	      default is -nosyntax_only.

  -transform_loops
	      Specifies a group of loop transformation optimizations that
	      apply to array references within loops. These optimizations can
	      improve the performance of the memory system and usually apply
	      to multiply nested loops.

	      These optimizations include:

		Loop blocking
		Loop distribution
		Loop fusion
		Loop interchange
		Loop scalar replacement
		Outer loop unrolling


	      The loops chosen for loop transformation optimizations are
	      always "counted" loops (which include DO or IF loops, but not
	      DO WHILE loops).

	      Conditions that typically prevent the loop transformation
	      optimizations from occurring include subprogram references that
	      are not inlined (such as an external function call), compli-
	      cated exit conditions, and uncounted loops.

	      This type of optimization can be specified for optimization
	      levels -O2 and higher; it is performed by default if -O5 is in
	      effect.

	      To determine whether using -transform_loops benefits your par-
	      ticular program, you should time program execution for the same
	      program (or subprogram) compiled at -O4.

  -tune	      Selects processor-specific instruction tuning for implementa-
	      tions of the Alpha architecture.	The format is:

	      -tune generic | host | ev4 | ev5 | ev56 | ev6 | ev67 | pca56


	      Regardless of the setting of the -tune option, the generated
	      code will run correctly on all implementations of the Alpha
	      architecture.  Tuning for a specific implementation can improve
	      run-time performance;  it is also possible that code tuned for
	      a specific target may run slower on another target.  The fol-
	      lowing are -tune options:

	      +	  -tune generic

		  Selects instruction tuning that is appropriate for all
		  implementations of the Alpha architecture.   This is the
		  default.

	      +	  -tune host

		  Selects instruction tuning that is appropriate for the
		  machine the compilation is occurring on.

	      +	  -tune ev4

		  Selects instruction tuning for the 21064, 20164A, 21066,
		  and 21068 implementations of the Alpha architecture.

	      +	  -tune ev5

		  Selects instruction tuning for the 21164 implementation of
		  the Alpha architecture.

	      +	  -tune ev56

		  Selects instruction tuning for ev56 processors (some 21164
		  chips).

	      +	  -tune ev6

		  Selects instruction tuning for ev6 processors (21264
		  chips).

	      +	  -tune ev67

		  Selects instruction tuning for ev67 processors (21264A
		  chips).

	      +	  -tune pca56

		  Selects instruction tuning for pca56 processors (21164PC
		  chips).

	      When -arch name is specified and no -tune option is specified,
	      the following occurs: if -fast is specified, then -tune is host
	      and -arch is name; if -fast is not specified, then both -tune
	      and -arch are name.

	      If you set -tune to an architecture that has fewer features
	      than what -arch specifies, the compiler will reset -tune to the
	      same architecture as -arch.

  -U	      Causes the compiler to distinguish between uppercase and lower-
	      case letters in identifiers and external names.  This option is
	      the same as the -names as_is option.

  -Uname      Tells cpp(1) to remove any initial definition of name.

  -u	      Sets the default type of a variable as undefined (IMPLICIT
	      NONE), which causes the compiler to issue a warning for any
	      undeclared symbols (same as the -warn declarations option).
	      This behavior differs from default FORTRAN 77 rules.

  -unroll num Sets the depth of loop unrolling done by the optimizer (at lev-
	      els -O3 and above) to num. It must be an integer in the range 0
	      through 16. -nounroll is not allowed.  The default is -unroll 0
	      (where the optimizer uses its default unroll amount).

  -V	      Creates a source listing file with various compile-time infor-
	      mation appended. The name of the listing file is the basename
	      of the source file with a .l suffix.  The default is -noV.

	      How you compile source files determines how the listing file is
	      created. If you compile several source files together, one
	      listing file is created (named with the basename of the first
	      input file and the .l suffix).  If you compile source files one
	      at a time, a separate listing file is created for each input
	      file (named with the basename of the input file and the .l suf-
	      fix).

  -v	      Prints the passes as they execute with their arguments and
	      their input and output files. Also prints final resource usage
	      in the C-shell time format.  The default is -nov.

  -version    Prints the version strings of the Fortran command and compiler.
	      If -version only is specified on the command line, the compiler
	      is not executed.	The default is -noversion.  This option has
	      the same affect as -what.

  -vms	      Causes the run-time system to behave like Compaq Fortran on
	      OpenVMS VAX systems (VAX FORTRAN) in the following ways:

	      +	  Reinforces certain defaults

		  Reinforces the following Compaq Fortran 77 defaults: -fpe0,
		  -static, -names lowercase (so A is equivalent to a), and
		  -norecursive.	 You can override this by specifying the
		  option on the command line.  For example, if you specify
		  -vms -fpe2, you get -fpe2.  The -vms option also forces
		  -check format and -check output_conversion.

	      +	  Alignment

		  -vms does not affect the alignment of fields in records or
		  items in COMMON.  Use -align norecords to pack fields of
		  records on the next byte boundary for compatibility with
		  Compaq Fortran on OpenVMS VAX systems.

	      +	  INCLUDE qualifiers

		  Recognizes /LIST and /NOLIST at the end of the file path-
		  name in an INCLUDE statement at compile time.

		  If the file name in the INCLUDE statement does not specify
		  the complete path, the path used is the current directory.

	      +	  Quotation mark character (")

		  Recognizes a quotation mark as starting an octal constant
		  (such as "177) instead of a character literal ("...").

	      +	  Control character syntax

		  Does not recognize the \n control character syntax in char-
		  acter literals (same as the -assume backslash option).

	      +	  Deleted records in relative files

		  When a record in a relative file is deleted, the first byte
		  of that record is set to a known character (currently '@').
		  Attempts to read that record later result in ATTACCNON
		  errors.  The rest of the record (the whole record, if -vms
		  is not set) is set to nulls for unformatted files and
		  spaces for formatted files.

	      +	  ENDFILE records

		  When an ENDFILE is performed on a sequential unit, an
		  actual one byte record containing a Ctrl/D is written to
		  the file.  If -vms is not set, an internal ENDFILE flag is
		  set and the file is truncated.

		  The -vms option does not affect ENDFILE on relative files;
		  such files are truncated.

	      +	  Reading deleted records and ENDFILE records

		  The run-time direct access READ routine checks the first
		  byte of the retrieved record. If this byte is '@' or NULL
		  ("\0"), then ATTACCNON is returned.

		  The run-time sequential access READ routine checks to see
		  if the record it just read is one byte long and contains a
		  Ctrl/D. If this is true, it returns EOF.

	      +	  OPEN effects

		  Carriage control defaults to FORTRAN if the file is
		  formatted, and the unit is connected to a terminal (checked
		  by means of isatty(3) ). Otherwise, carriage control
		  defaults to LIST.

		  The -vms option affects the record length for direct access
		  and relative organization files.  The buffer size is
		  increased by one (to accommodate the deleted record charac-
		  ter).

	      +	  Implied logical unit numbers

		  Recognizes certain environment variables at run time for
		  ACCEPT, PRINT, and TYPE statements, and for READ and WRITE
		  statements that do not specify a unit number, such as: READ
		  (*,1000).  For more information, see your user manual.

	      +	  Treatment of blanks in input

		  Causes the defaults for keyword BLANK in OPEN statements to
		  become 'NULL' for an explicit OPEN, and 'ZERO' for an
		  implicit OPEN of an external or internal file.

  -Wl,arg1[,arg2]...
	      Passes options arg1[ arg2]... to cc(1) for ld(1).

  -Wp,arg1[,arg2]...
	      Passes options arg1[ arg2]... to cpp(1) that the driver does
	      not normally pass to the preprocessor.  For example: -Wp,-C,-M
	      passes -C -M to cpp(1).  -Wp,...	does not invoke cpp(1); use
	      -cpp to force the execution of cpp(1).

  -w	      Disables all warning messages (same as the -nowarn and -warn
	      -nogeneral options).

  -w1	      Disables warnings about unused variables (same as the -warn
	      nounused option).

  -warn argument_checking
	      Enables warning messages for mismatched procedure arguments.
	      The default is -warn noargument_checking.

  -warn declarations
	      Sets the default type of a variable as undefined (IMPLICIT
	      NONE), which enables warnings about any undeclared symbols.
	      This behavior differs from default FORTRAN 77 rules.  The
	      default is -warn nodeclarations.

  -warn ignore_loc
	      Enables warnings when %loc is stripped from an argument.	The
	      default is -warn noignore_loc.

  -warn noalignments
	      Disables warnings about data that is not naturally aligned.
	      The default is -warn alignments.

  -warn nogeneral
	      Disables all warning messages (same as the -nowarn and -w
	      options).	 The default is -warn general.

  -warn nogranularity
	      Disables warnings when the compiler cannot generate code for a
	      requested granularity.  The default is -warn granularity.

  -warn nouncalled
	      Disables warnings about a statement function that is never
	      called. The default is -warn uncalled.

  -warn nouninitialized
	      Disables warnings about a variable that is used before a value
	      is assigned to it.  The default is -warn uninitialized.

  -warn nousage
	      Disables warnings about questionable programming practices
	      which, although allowed, often are the result of programming
	      errors.  For example, a continued character or Hollerith
	      literal whose first part ends before the statement field and
	      appears to end with trailing spaces.  The default is -warn
	      usage.

  -warn truncated_source
	      Enables warnings at compile time about source characters to the
	      right of column 80 (or column 132 if -extend_source is speci-
	      fied) in a non-comment line.  The default is -warn
	      notruncated_source.

  -warn unused
	      Enables warning messages about unused variables.	The default
	      is -warn nounused.

  -warning_severity error
	      Turns all messages that are normally warnings into errors.

  -warning_severity stderror
	      Issues an error instead of a warning for standard violations.
	      Standard violations are detected when the -std option is speci-
	      fied.

  -what	      Prints the version strings of the Fortran command and compiler.
	      If -what appears alone on the command line, the compiler is not
	      executed.

Restrictions
  The standard libraries, like libc, are loaded with the -l loader option and
  not a full pathname. The wrong library can be loaded if there are files
  with names like libc.a or libc.so in the directories specified with the -L
  loader option, or in the default directories searched by the loader.

  When multiple source files are compiled together without the -c option, the
  first source file's suffix determines the default source form for the
  entire compilation.

Diagnostics
  The fort command produces diagnostic messages that are intended to be
  self-explanatory.  The loader can also produce occasional messages.

Run-Time Environment Variables
  The Compaq Fortran run-time system uses the following environment variables
  to control execution of Fortran programs. For more information on these
  variables, see your user manual.

  decfort_dump_flag
	      If set to Y or y, a core dump will be taken when any severe
	      Compaq Fortran run-time error occurs.

  FORTn	      The file specification for the file opened on unit n.

  FOR_READ
  FOR_ACCEPT
  FOR_PRINT
  FOR_TYPE    For programs compiled with the -vms option, the name of the
	      file to use for the specified operation.

  FORT_BUFFERED
	      If set to true, buffered I/O will be used for sequential output
	      to all I/O units, except those whose output is to the terminal.
	      This provides a run-time mechanism to support the behavior
	      enabled by the -assume buffered_io option.

  FORT_CONVERTn
	      The -convert option to use on a file opened on unit n.

  FORT_CONVERT.ext
  FORT_CONVERT_ext
	      The -convert option to be used when a filename with suffix ext
	      is opened.

  NLSPATH     The path for the Compaq Fortran run-time error message catalog.

  TMPDIR      The alternate working directory where scratch files are
	      created.

See Also
  The Compaq Fortran website:
	http://www.compaq.com/fortran/
  The Compaq Fortran Language Reference Manual in
	http://www.compaq.com/fortran/docs
  The Compaq Fortran User Manual for Tru64 UNIX and Linux Alpha Systems in
	http://www.compaq.com/fortran/docs
  The Compaq Fortran Release Notes in /usr/doc/cfal-n.n.n/README







































